Page MenuHomePhabricator

Query trying to use the wrong index (change_tag_rev_tag) on change_tag
Closed, ResolvedPublic

Description

I just saw this on the logs:

IndexPager::buildQueryInfo (ProblemChangesPager)	10.64.32.115	1176	Key 'change_tag_rev_tag' doesn't exist in table 'change_tag' (10.64.32.115)	SELECT  /*! STRAIGHT_JOIN */ page_namespace,page_title,page_latest,fp_stable AS stable,fp_quality AS quality,fp_pending_since AS pending_since,fp_pending_since  FROM `flaggedpages` FORCE INDEX (fp_pending_since),`revision`,`change_tag` FORCE INDEX (change_tag_rev_tag),`change_tag_def`,`page`    WHERE (ctd_id = ct_tag_id) AND (fp_pending_since IS NOT NULL) AND (rev_page = fp_page_id) AND (rev_id > fp_stable) AND (ct_rev_id = rev_id) AND (page_id = fp_page_id) AND page_namespace IN ('0','4')   GROUP BY fp_pending_since,fp_page_id ORDER BY fp_pending_since,fp_page_id LIMIT 51 

Key 'change_tag_rev_tag' doesn't exist in table 'change_tag' (10.64.32.115)

That key looks like the one that got removed while fixing change_tag table (T185355)
That index is also not present on tables.sql

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 13 2018, 4:19 PM

Change 479467 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/FlaggedRevs@master] Use the right index for change_tag

https://gerrit.wikimedia.org/r/479467

Marostegui triaged this task as High priority.Dec 13 2018, 4:20 PM
Marostegui updated the task description. (Show Details)

Change 479467 merged by jenkins-bot:
[mediawiki/extensions/FlaggedRevs@master] Use the right index for change_tag

https://gerrit.wikimedia.org/r/479467

Marostegui renamed this task from Query trying to use the wrong index on change_tag to Query trying to use the wrong index (change_tag_rev_tag) on change_tag.Dec 13 2018, 4:46 PM

Change 479480 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/FlaggedRevs@wmf/1.33.0-wmf.8] Use the right index for change_tag

https://gerrit.wikimedia.org/r/479480

Change 479480 merged by jenkins-bot:
[mediawiki/extensions/FlaggedRevs@wmf/1.33.0-wmf.8] Use the right index for change_tag

https://gerrit.wikimedia.org/r/479480

Mentioned in SAL (#wikimedia-operations) [2018-12-13T18:07:01Z] <ladsgroup@deploy1001> Synchronized php-1.33.0-wmf.8/extensions/FlaggedRevs/frontend/specialpages/reports/ProblemChanges_body.php: Use the right index for change_tag (T211896) (duration: 00m 46s)

Ladsgroup closed this task as Resolved.Dec 13 2018, 6:09 PM

It's done.

Thanks for the quick fix!

Mentioned in SAL (#wikimedia-operations) [2018-12-17T12:49:03Z] <ladsgroup@deploy1001> sync-file aborted: Use the right index for change_tag (T211896) (duration: 00m 02s)

Mentioned in SAL (#wikimedia-operations) [2018-12-17T12:49:03Z] <ladsgroup@deploy1001> sync-file aborted: Use the right index for change_tag (T211896) (duration: 00m 02s)

Ignore this, I used wrong message for deploying something else.